.keensge h1.page {
  font-size: 3rem;
}

.keensge #dropinstructions {
  color: #fff;
  font-size: 2rem;
  text-align: center;
  border: 2px dotted #9a9a9a;
  border-radius: 10px;
  padding: 60px 0;
}

.keensge #dropinstructions-sample {
  font-size: 1rem;
  margin-top: 45px;
}

.keensge #dropinstructions-sample button {
  font-size: 1rem;
}

.keensge .webglwarning {
  padding: 5px;
  color: red;
  font-size: 1.2rem;
  text-align: center;
}

.keensge #canvascontainer {
  position: relative;
  width: 1000px;
  height: 750px;
}

.keensge #canvascontainer canvas {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.keensge #canvas-info {
  pointer-events: none;
}

.keensge #statusbar {
  font-family: "Courier New", Courier, monospace;
  background-color: lightgray;
  padding: 2px 4px;
  font-weight: bold;
  line-height: 1.5em;
  min-height: calc(1.5em + 2px);
}

.keensge #completedlevels {
  display: grid;
  grid-template-rows: repeat(6, 1fr);
  grid-auto-flow: column;
  column-gap: 5px;

  margin-bottom: 15px;
}

.keensge #completedlevels div {
  display: flex;
  gap: 5px;
}

.keensge #completedlevels label {
  font-size: 0.95rem;
  user-select: none;
}

.keensge #gamestate {
  display: grid;
  grid-template-rows: repeat(8, 1fr);
  grid-auto-flow: column;
  gap: 5px;

  margin-bottom: 15px;
}

.keensge #gamestate #location {
  font-weight: bold;
  font-size: 0.95rem;
  color: #fff;
}

.keensge #gamestate label {
  font-size: 0.95rem;
  user-select: none;
  text-align: right;
}

.keensge #gamestate > div {
  display: flex;
  gap: 10px;
}

.keensge #gamestate > div > label::after {
  content: ": ";
}

.keensge #gamestate input {
  font-size: 0.85rem;
}

.keensge #gamestate select {
  font-size: 0.85rem;
}

.keensge #download {
  margin-top: 25px;
  display: flex;
  justify-content: center;
  gap: 10px;
}

.keensge #download span {
  color: #fff;
}

.keensge #enemies-in-level {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  padding: 20px;
}

.keensge #enemies-in-level .spritecontainer {
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  margin-bottom: 15px;
  min-width: 100px;
}

.keensge #enemies-in-level label {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 10px;
  padding: 10px;
  border: 1px dotted #fff;
  border-radius: 5px;
  cursor: pointer;
}

.keensge #enemies-in-level .sprite {
  background-image: url("/images/keen/keen6spriteatlas.png");
  background-size: auto;
  background-repeat: no-repeat;
  flex-shrink: 0;
}

.keensge #aboutsavegame {
  color: #fff;
  margin-bottom: 15px;
}

main.blogpost .fileformattbl {
  font-size: 1rem;
  color: #fff;
  border-spacing: 30px 0;
  border-collapse: collapse;
  margin-bottom: 45px;
}

main.blogpost .fileformattbl td {
  padding: 5px 30px 0 10px;
}

main.blogpost .fileformattbl td h6 {
  font-size: 1.1rem;
  font-weight: bold;
  font-style: italic;
  margin: 10px 0;
  text-align: center;
}

main.blogpost .fileformattbl td ul {
  margin: 2px 0;
}

main.blogpost .fileformattbl td li {
  font-size: 1rem;
}

main.blogpost .fileformattbl tr:nth-child(even) {
  background-color: #282936;
}
